Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.HeaderFooterContent Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| HeaderFooterContent (string header_left_content, string header_center_content, string header_right_content, string footer_left_content, string footer_center_content, string footer_right_content)
| Constructor, with parameters. More...
| HeaderFooterContent ()
| Constructor.
| HeaderFooterContent (HeaderFooterContent other)
| Constructor, with another header-footer content object. More...
void | Set (string header_left_content, string header_center_content, string header_right_content, string footer_left_content, string footer_center_content, string footer_right_content)
| Set value. More...

## Properties
string | footer_center_content`[get, set]`
| Content for center footer.
string | footer_left_content`[get, set]`
| Content for left footer.
string | footer_right_content`[get, set]`
| Content for right footer.
string | header_center_content`[get, set]`
| Content for center header.
string | header_left_content`[get, set]`
| Content for left header.
string | header_right_content`[get, set]`
| Content for right header.

## Detailed Description

This class represents the header-footer content. Any string member of this class can set directly or be generated by using class HeaderFooterContentGenerator .

See also
  HeaderFooterContentGenerator .

## Constructor & Destructor Documentation

## ◆ HeaderFooterContent() [1/2]

foxit.pdf.HeaderFooterContent.HeaderFooterContent | ( | string | header_left_content,
|  | string | header_center_content,
|  | string | header_right_content,
|  | string | footer_left_content,
|  | string | footer_center_content,
|  | string | footer_right_content
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | header_left_content | Content for left header.
  [in] | header_center_content | Content for center header.
  [in] | header_right_content | Content for right header.
  [in] | footer_left_content | Content for left footer.
  [in] | footer_center_content | Content for center footer.
  [in] | footer_right_content | Content for right footer.

## ◆ HeaderFooterContent() [2/2]

foxit.pdf.HeaderFooterContent.HeaderFooterContent | ( | HeaderFooterContent | other | ) |
| inline

Constructor, with another header-footer content object.

Parameters

  [in] | other | Another header-footer content object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.HeaderFooterContent.Set | ( | string | header_left_content,
|  | string | header_center_content,
|  | string | header_right_content,
|  | string | footer_left_content,
|  | string | footer_center_content,
|  | string | footer_right_content
| ) |  |
| inline

Set value.

Parameters

  [in] | header_left_content | Content for left header.
  [in] | header_center_content | Content for center header.
  [in] | header_right_content | Content for right header.
  [in] | footer_left_content | Content for left footer.
  [in] | footer_center_content | Content for center footer.
  [in] | footer_right_content | Content for right footer.

Returns
  None.